Page MenuHomePhabricator

Promote mobile image gallery to stable
Closed, ResolvedPublic

Description

On beta/alpha you see left and right arrows which allow you to go between images in the page. Let's push this to stable.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterMove ImageGalleryNew to stable (partially)

Event Timeline

JKatzWMF created this task.Jun 8 2015, 4:53 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 4:53 PM
Jdlrobson updated the task description. (Show Details)Jun 8 2015, 4:55 PM
Jdlrobson set Security to None.

Was there a reason this was left in in analysis?

@Jdlrobson it seemed like there wasn't a clear decision on moving this to stable, based on some lingering discussion and considerations raised here: https://www.wikidata.org/wiki/Wikidata:Project_chat#Coming_to_a_decision_for_usage_instructions_in_descriptions

cc: @kaldari

@KLans_WMF @Jdlrobson @kaldari actually this is unrelated to wikidata description convo this was left in analysis since its a 'tracking' type card. Not sure if we'll get to it this sprint, but didn't want the 'promote to beta card' to go through and have it sit in beta for a year.

ah yes thanks @JKatzWMF I was getting my cards mixed up!

I'm still confused. So we want to work on it this sprint or not? (we will get time)

Needs estimation I guess... Still very confused. Given this came up as a useful feature in both our web/app walkthroughs I think we should be doing this since the work involved is trivial (i'd estimate 2 story points maximum)

bmansurov removed bmansurov as the assignee of this task.

@Jdlrobson @JKatzWMF I agree, this is a big use case. I thought this was in the Must have column?

@KHammerstein @Jdlrobson my proposed direction for last sprint and this one, (and it seemed that @phuedx agreed) was to wrap up what we said we would do at quarter start:

  • promote header
  • finish Gather
  • promote browse prototype (almost 0 work)
  • speed report cards (almost 0 work)

I imagine that @phuedx, as techpro did not see a way to fit this in while still fulfilling our promises, but maybe there were other factors as well.

@JKatzWMF @phuedx Can we move it further down in Must have or to Should since we have already triaged?

Oops maybe a duplicate of this? T97829

@KHammerstein @Jdlrobson my proposed direction for last sprint and this one, (and it seemed that @phuedx agreed) was to wrap up what we said we would do at quarter start:

  • promote header
  • finish Gather
  • promote browse prototype (almost 0 work)
  • speed report cards (almost 0 work)

I imagine that @phuedx, as techpro did not see a way to fit this in while still fulfilling our promises, but maybe there were other factors as well.

Yes. We're now coming up to quarter end and have to try finish up what we've committed to do.

Florian claimed this task.Jul 6 2015, 3:10 PM

Change 223039 had a related patch set uploaded (by Florianschmidtwelzow):
Move ImageGalleryNew to stable

https://gerrit.wikimedia.org/r/223039

Change 223039 merged by jenkins-bot:
Move ImageGalleryNew to stable (partially)

https://gerrit.wikimedia.org/r/223039

Jdlrobson closed this task as Resolved.Aug 4 2015, 5:46 PM

This is done. Let's create a separate card for the swiping.